
			KindEditor.ready(function(K) {
				var editor = K.editor({
					allowFileManager : true
				});
				K('#insertfile').click(function() {
					editor.loadPlugin('insertfile', function() {
						editor.plugin.fileDialog({
							fileUrl : K('#Downurl').val(),
							clickFn : function(url, title) {
								K('#Downurl').val(url);
								editor.hideDialog();
							}
						});
					});
				});
			});